org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheClearKeyRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheClearKeyRequest

All Implemented Interfaces:
  ClientListenerRequest, ClientTxAwareRequest

    public class ClientCacheClearKeyRequest
    extends ClientCacheKeyRequest

Clear key request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheClearKeyRequest(BinaryRawReaderEx reader)` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected IgniteCache` `cache(ClientConnectionContext ctx)` Gets the cache for current cache id, with binary mode enabled.
`protected DynamicCacheDescriptor` `cacheDescriptor(ClientConnectionContext ctx)` Gets the cache descriptor.
`static DynamicCacheDescriptor` `cacheDescriptor(ClientConnectionContext ctx, int cacheId)` Gets the cache descriptor.
`protected int` `cacheId()` Gets the cache id.
`protected boolean` `isKeepBinary()` Gets a value indicating whether keepBinary flag is set in this request.
`boolean` `isTransactional()` Gets a value indicating whether request was made under transaction.
`ClientResponse` `process(ClientConnectionContext ctx)` Processes the request.
`protected IgniteCache` `rawCache(ClientConnectionContext ctx)` Gets the cache for current cache id, ignoring any flags.
`int` `txId()` Gets transaction ID.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeyRequest

`key`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.client.tx.ClientTxAwareRequest

`isTransactional, txId`

### Constructor Detail

#### ClientCacheClearKeyRequest

    public ClientCacheClearKeyRequest(BinaryRawReaderEx reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

#### txId

    public int txId()

Gets transaction ID.

#### isTransactional

    public boolean isTransactional()

Gets a value indicating whether request was made under transaction.

Returns:
  Flag value.

#### cache

    protected IgniteCache cache(ClientConnectionContext ctx)

Gets the cache for current cache id, with binary mode enabled.

Parameters:
  `ctx` - Kernal context.
Returns:
  Cache.

#### isKeepBinary

    protected boolean isKeepBinary()

Gets a value indicating whether keepBinary flag is set in this request.

Returns:
  keepBinary flag value.

#### rawCache

    protected IgniteCache rawCache(ClientConnectionContext ctx)

Gets the cache for current cache id, ignoring any flags.

Parameters:
  `ctx` - Kernal context.
Returns:
  Cache.

#### cacheDescriptor

    protected DynamicCacheDescriptor cacheDescriptor(ClientConnectionContext ctx)

Gets the cache descriptor.

Parameters:
  `ctx` - Context.
Returns:
  Cache descriptor.

#### cacheDescriptor

    public static DynamicCacheDescriptor cacheDescriptor(ClientConnectionContext ctx,
                                                         int cacheId)

Gets the cache descriptor.

Parameters:
  `ctx` - Context.
  `cacheId` - Cache id.
Returns:
  Cache descriptor.

#### cacheId

    protected int cacheId()

Gets the cache id.

Returns:
  Cache id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020